# Get a registered business

Fetches a registered business.

```http
GET https://api.pozy.ai/v1/branded-calling/enterprises/{id}
```

- Area: Phone & voice / Branded Calling
- Auth: Authorization: Bearer pz_live_...

## Path parameters

- `id` (string, required)

## Example request

```bash
curl -X GET "https://api.pozy.ai/v1/branded-calling/enterprises/6bfebd43ddc270f6d2c56fc5" \
  -H "Authorization: Bearer $POZY_API_KEY"
```

```ts
const res = await fetch("https://api.pozy.ai/v1/branded-calling/enterprises/6bfebd43ddc270f6d2c56fc5", {
  headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.get(
    "https://api.pozy.ai/v1/branded-calling/enterprises/6bfebd43ddc270f6d2c56fc5",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 200

- `id`, string
- `legalName`, string
- `doingBusinessAs`, string
- `organizationType`, string: One of `commercial`, `government`, `non_profit`
- `organizationLegalType`, string: One of `corporation`, `llc`, `partnership`, `nonprofit`, `other`
- `countryCode`, string: One of `US`, `CA`
- `jurisdictionOfIncorporation`, string
- `website`, string
- `feinLast4`, string
- `industry`, string
- `numberOfEmployees`, string: One of `1-10`, `11-50`, `51-200`, `201-500`, `501-2000`, `2001-10000`, `10001+`
- `organizationContact`, object
  - `firstName`, string, required: Up to 100 characters
  - `lastName`, string, required: Up to 100 characters
  - `email`, string (email), required
  - `jobTitle`, string: Up to 100 characters
  - `phoneNumber`, string, required
- `billingContact`, object
  - `firstName`, string, required: Up to 100 characters
  - `lastName`, string, required: Up to 100 characters
  - `email`, string (email), required
  - `jobTitle`, string: Up to 100 characters
  - `phoneNumber`, string, required
- `physicalAddress`, object
  - `streetAddress`, string, required: Up to 255 characters
  - `extendedAddress`, string: Up to 255 characters
  - `city`, string, required: Up to 100 characters
  - `administrativeArea`, string, required
  - `postalCode`, string, required: Up to 20 characters
  - `country`, string, required
- `billingAddress`, object
  - `streetAddress`, string, required: Up to 255 characters
  - `extendedAddress`, string: Up to 255 characters
  - `city`, string, required: Up to 100 characters
  - `administrativeArea`, string, required
  - `postalCode`, string, required: Up to 20 characters
  - `country`, string, required
- `registered`, boolean
- `createdAt`, string (date-time): Can be null

```json
{
  "id": "6bfebd43ddc270f6d2c56fc5",
  "legalName": "Acme",
  "doingBusinessAs": "string",
  "organizationType": "commercial",
  "organizationLegalType": "corporation",
  "countryCode": "US",
  "jurisdictionOfIncorporation": "string",
  "website": "string",
  "feinLast4": "string",
  "industry": "string",
  "numberOfEmployees": "1-10",
  "organizationContact": {
    "firstName": "Acme",
    "lastName": "Acme",
    "email": "alex@example.com",
    "jobTitle": "string",
    "phoneNumber": "+14155550123"
  },
  "billingContact": {
    "firstName": "Acme",
    "lastName": "Acme",
    "email": "alex@example.com",
    "jobTitle": "string",
    "phoneNumber": "+14155550123"
  },
  "physicalAddress": {
    "streetAddress": "string",
    "extendedAddress": "string",
    "city": "string",
    "administrativeArea": "string",
    "postalCode": "string",
    "country": "US"
  },
  "billingAddress": {
    "streetAddress": "string",
    "extendedAddress": "string",
    "city": "string",
    "administrativeArea": "string",
    "postalCode": "string",
    "country": "US"
  },
  "registered": true,
  "createdAt": "2026-10-02T09:00:00.000Z"
}
```
